org.apache.jmeter.report.dashboard

## Class AbstractDataExporter

- java.lang.Object
- - org.apache.jmeter.report.dashboard.AbstractDataExporter

All Implemented Interfaces:
  DataExporter

Direct Known Subclasses:
  HtmlTemplateExporter, JsonExporter

    public abstract class AbstractDataExporter
    extends Object
    implements DataExporter

The Class AbstractDataExporter provides a base class for DataExporter.

### Constructor Summary

Constructors
`protected` `AbstractDataExporter()` Instantiates a new abstract data exporter.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static ResultData` `findData(String data, ResultData root)` Finds a inner ResultData matching the specified data name in a ResultData tree.
`protected static <T> T` `findValue(Class<T> clazz, String data, ResultData root)` Finds a value matching the specified data name in a ResultData tree.
`String` `getName()` Gets the name of the exporter.
`protected <T> T` `getPropertyFromConfig(SubConfiguration cfg, String property, T defaultValue, Class<T> clazz)`
`void` `setName(String name)` Sets the name of the exporter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.report.dashboard.DataExporter

`export`

### Constructor Detail

#### AbstractDataExporter

    protected AbstractDataExporter()

Instantiates a new abstract data exporter.

### Method Detail

#### findValue

    protected static <T> T findValue(Class<T> clazz,
                                     String data,
                                     ResultData root)

Finds a value matching the specified data name in a ResultData tree. Supports only MapResultData walking.

Type Parameters:
  `T` - type of value to be found
Parameters:
  `clazz` - the type of the value
  `data` - the name of the data containing the value
  `root` - the root of the tree
Returns:
  the value matching the data name

#### findData

    protected static ResultData findData(String data,
                                         ResultData root)

Finds a inner ResultData matching the specified data name in a ResultData tree. Supports only MapResultData walking.

Parameters:
  `data` - the name of the data containing the value
  `root` - the root of the tree
Returns:
  the ResultData matching the data name

#### getName

    public String getName()

Description copied from interface: `DataExporter`
Gets the name of the exporter.

Specified by:
  `getName` in interface `DataExporter`
Returns:
  the name of the exporter

#### setName

    public void setName(String name)

Description copied from interface: `DataExporter`
Sets the name of the exporter.

Specified by:
  `setName` in interface `DataExporter`
Parameters:
  `name` - the new name of the exporter

#### getPropertyFromConfig

    protected <T> T getPropertyFromConfig(SubConfiguration cfg,
                                          String property,
                                          T defaultValue,
                                          Class<T> clazz)
                                   throws ExportException

Throws:
  `ExportException`